Bug 11238 - kernel-2.2.14-12.src.rpm won't build when non-root
kernel-2.2.14-12.src.rpm won't build when non-root
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-05-05 04:11 EDT by Pawel Salek
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-18 17:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2000-05-05 04:11:31 EDT
The doc seems to say nothing that one needs to be root in order to build
the kernel but the %install phase fails on mknod ./dev/socksys c 30 0
with 'permission denied' message.
If this is a feature (i.e. you are positive there is no way to build kernel
as non-root) I would not mind if it was mentioned somewhere (rpm doc?).
Comment 1 Sam Varshavchik 2000-05-18 17:30:59 EDT
I am reporting this bug as well.  I'd like to suggest the following compromise
for the mknod problem, referring back to bug 10500.  Invoke mknod as follows:

su root -c "mknod ./dev/socksys c 30 0; mknod ..."

This will result in no functional change when the RPM is built as root.  su will
be a no-op in that situation.  But this will also allow the RPMs to be rebuilt
interactively as non-root, simply by entering the password once during the build
process.  This works well, I've tested it.
Comment 2 Michael K. Johnson 2000-07-31 17:11:01 EDT
The current RawHide/Beta kernel packages build as non-root.

Note You need to log in before you can comment on or make changes to this bug.